Generate Csr

Generate Csr
Generate Certificate Signing Request (CSR) for the given VCF component

Generate Certificate Signing Request (CSR) for the given VCF component

Request
URI
POST
https://{api_host}/suite-api/api/fleet-management/certificate-management/csrs
COPY
Request Body

Generate CSR Request Body

GenerateCsrData of type(s) application/json
Required

Show optional properties

{
    "certificateId": "string",
    "generateCsrSpec": {
        "keySize": "string",
        "orgUnit": "string",
        "organization": "string"
    }
}
"No Custom Example is Available"
string As uuid As uuid
certificateId
Required

A key/Id of certificate which represent the VCF component against which CSR has to be generated

object
generateCsrSpec
Required

Represents request parameters for generate csr

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns WorkflowRequest of type(s) application/json
"No Custom Example is Available"
string
category
Required

Categories for VCF workflow requests

Possible values are : INVENTORY, PASSWORD, CERTIFICATE, LCM_MIGRATION, VCF_PASSWORD_MANAGEMENT, VCF_CERTIFICATE_MANAGEMENT, SERVICE_REGISTRY_ROTATION, SOLUTIONS_CATALOG, SALT_RAAS_CONFIGURATION, VIDB_MIGRATION, VCF_IAM,
integer As int64 As int64
duration
Optional

Duration of the request

array of object
errorCause
Optional

List of errors encountered during workflow execution

string
requestId
Optional

Unique identifier of the request

string
requestName
Required
Constraints: minLength: 1

Name of the workflow request

string
requestReason
Optional

Reason for the workflow request

string
requestType
Required
Constraints: minLength: 1

Type of the workflow request (e.g., CREATE_ENVIRONMENT, VC_DATA_COLLECTION)

string
state
Optional

Current state of the workflow request (e.g., CREATED, IN_PROGRESS, COMPLETED, FAILED)


202

The CSR generation workflow details

Returns WorkflowRequest of type(s) application/json
"{\n  \"requestId\" : \"4881a542-e10c-4033-b161-41622324db01\",\n  \"requestName\" : \"updatepassword\",\n  \"requestReason\" : \"Update Password of testUser user for NSX Manager appliance with IP/FQDN vip-nsx-mgmt.vrack.vsphere.local\",\n  \"requestType\" : \"Update Password\",\n  \"state\" : \"CREATED\",\n  \"errorCause\" : [ ]\n}"
string
category
Required

Categories for VCF workflow requests

Possible values are : INVENTORY, PASSWORD, CERTIFICATE, LCM_MIGRATION, VCF_PASSWORD_MANAGEMENT, VCF_CERTIFICATE_MANAGEMENT, SERVICE_REGISTRY_ROTATION, SOLUTIONS_CATALOG, SALT_RAAS_CONFIGURATION, VIDB_MIGRATION, VCF_IAM,
integer As int64 As int64
duration
Optional

Duration of the request

array of object
errorCause
Optional

List of errors encountered during workflow execution

string
requestId
Optional

Unique identifier of the request

string
requestName
Required
Constraints: minLength: 1

Name of the workflow request

string
requestReason
Optional

Reason for the workflow request

string
requestType
Required
Constraints: minLength: 1

Type of the workflow request (e.g., CREATE_ENVIRONMENT, VC_DATA_COLLECTION)

string
state
Optional

Current state of the workflow request (e.g., CREATED, IN_PROGRESS, COMPLETED, FAILED)


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"certificateId":"string","generateCsrSpec":"object"}' https://{api_host}/suite-api/api/fleet-management/certificate-management/csrs